from django.shortcuts import render
from random import randint
from datetime import date, timedelta

people = [
    {
        "name": "Иван",
        "lastname": "Иванов",
        "age": 60
    },
    {
        "name": "Пётр",
        "lastname": "Петров",
        "age": 35
    },
    {
        "name": "Сидор",
        "lastname": "Сидоров",
        "age": 92
    }
]

# Create your views here.
def hello_view(request):
    x = randint(1, 6)
    d = date.today()
    week = timedelta(weeks=1)
    dates = [
        d - week * 2,
        d - week,
        d,
        d + week,
        d + week * 2
    ]
    
    dates = [d + (i * week) for i in range(-2, 3)]

    return render(request, "main.html", context={
        "number": x,
        "file_size": randint(500, 999999999),
        "work": True,
        "number_is_six": x == 6,
        "people": people,
        "dates": dates
        })

def new_year_view(request, y, m, d):
    now_date = date(year=y, month=m, day=d)
    time_left = date(2019, 1, 1) - now_date
    return render(request, "new_year.html", context={
        "days_left": time_left.days
        })

def counter_view(request):
    try:
        c = request.session["c"]
    except KeyError:
        c = 1
    request.session["c"] = c + 1
    return render(request, "counter.html", context={"counter": c})




